%define name automake
%define version 1.4
%define prefix %{_prefix}
%define release 15mdk

Summary: A GNU tool for automatically creating Makefiles.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Other
Source: ftp://sourceware.cygnus.com/pub/automake/%{name}-%{version}.tar.bz2
Patch0: automake-1.4-19980208.patch.bz2
Patch1: automake-1.4-armnetwinder.patch.bz2
URL: http://sourceware.cygnus.com/automake
Requires: perl
Prereq: /sbin/install-info
BuildArchitectures: noarch
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
Automake is a tool for automatically generating Makefiles compliant with the
GNU Coding Standards.

You should install Automake if you are developing software and would like to
use its capabilities of automatically generating GNU standard Makefiles. If you
install Automake, you will also need to install GNU's Autoconf package.

%prep
%setup -q
# XXX don't apply development patch from CVS.
#%patch0 -p0 -b .19980208
%patch1 -p1 -b .armnetwinder

%build
%configure
%make
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info automake.info

%preun
%_remove_install_info automake.info

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_infodir}/%{name}*
%{_datadir}/aclocal

%changelog
* Thu Dec  7 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.4-15mdk
- run automated tests at build time
- use make macro

* Thu Aug 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4-14mdk
- rebuild to fix %preun script (pixel sucks)

* Thu Aug 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4-13mdk
- added packager tag

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4-12mdk
- rebuild for /me sucks. all m4 macros were lost in space :-(.

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4-11mdk
- rebuild for BM
- install-info macros

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4-10mdk
- removing %{_infodir}/dir from the file list (/me sucks)

* Mon Jul 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4-9mdk
- cleanup and macros

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4-8mdk
- new groups

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with Jeff package.

* Tue Jun 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.4 version.
- Merging with RedHat patch.

* Thu May 13 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- 1.4a

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- arm netwinder patch

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb  8 1999 Jeff Johnson <jbj@redhat.com>
- add patches from CVS for 6.0beta1

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.4.

* Mon Nov 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3b.
- add URL.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- updated to 1.3

* Tue Oct 28 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot; added aclocal files

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- made it a noarch package

* Thu Oct 16 1997 Michael Fulbright <msf@redhat.com>
- Fixed some tag lines to conform to 5.0 guidelines.

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- updated to 1.2

* Wed Mar 5 1997 msf@redhat.com <Michael Fulbright>
- first version (1.0)
